from netgen.geom2d import unit_square
from ngsolve import *

mesh = Mesh(unit_square.GenerateMesh(maxh=0.2))

fes = H1(mesh, order=1)
u,v = fes.TnT()

a = BilinearForm(fes)
ir = IntegrationRule([(0,0), (1,0),(0,1)], [1/6, 1/6, 1/6])
print (ir)
a += u*v*dx(intrules={TRIG:ir})
a.Assemble()

print (a.mat)
